<title>Reporte de ventas</title><div id="d_preocesando" align="center" style="margin-top:80px;"><img src="images/procesando.gif" width="137" height="75"></div>

<script language="javascript">

</script>



<?php
//echo "PUNTO 1";

date_default_timezone_set('America/Lima');
$script_tz = date_default_timezone_get();

include("conexion.php");

error_reporting(0);

//session_start();
//include "verifica.php";


?>
<script src="assets/js/funciones.js"></script>
<script src="assets/js/numerosletras2.js"></script>

<style type="text/css">
<!--
.Estilo6 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	letter-spacing: 0px;
}
.Estilo8 {font-family: Arial, Helvetica, sans-serif; font-size: 11px; font-weight: bold; font-stretch:condensed; }

.Estilo10 {font-family: Arial, Helvetica, sans-serif; font-size: 12px; font-weight: bold; letter-spacing: -1px; }

.Estilo11 {font-family: Arial, Helvetica, sans-serif; font-size: 12px; font-weight: normal; letter-spacing: 0px; }

.Estilo9 {
	font-size: 16px;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
}
.Estilo16 {	font-family: Arial, Helvetica, sans-serif;
	font-size: 11px;
	font-stretch:condensed;
}
.Estilo17 {font-size: 11px; letter-spacing: -1px; font-family: Arial, Helvetica, sans-serif;}




-->
</style>
</head>

  <?php
  

	include("conexion.php");			
	include "procesos/validaciones.php";
	include "procesos/almacen_funciones.php";	
	
	//$xcaja_estado = $vali->caja_estado($conexion);
			
	
	@$xaccion2=$_REQUEST['xaccion2'];
	@$xcriterio=$_REQUEST['xcriterio'];												
	
	
	@$xempresa_criterio=$_REQUEST['xempresa_criterio'];						
	@$xactivar_empresa=$_REQUEST['xactivar_empresa'];
	

	
	@$xs_empresa=$_SESSION['s_empresa'];																								
  ?>
  
  

  <?php
	$nfila=8;
	$nfila_inicial=0;

	$xemp_nom ="";
	
	if($xempresa_criterio!=NULL and trim($xempresa_criterio!="")){
		$r_empresa = mysqli_query($conexion, "SELECT * FROM empresas e WHERE emp_codi=$xempresa_criterio;");
		while($row_empresa = mysqli_fetch_array($r_empresa)){
			$xemp_nom = $row_empresa['emp_nom'];
		}
	}	

	if($xactivar_empresa == 1 and trim($xactivar_empresa)!=""){
		//$xcretip_nombre ="";		
	}else{
		$xemp_nom ="TODOS";
	}
	
	@$xs_empresa=$_SESSION['s_empresa'];																									

	
	
	
	$xfecha = date("d-m-Y"); 
	$xhora = date("H"); 
	$xminuto = date("i"); 
	$xsegundo = date("s"); 	
	
	
	$xfechahora = $xfecha."_".$xhora."-".$xminuto."-".$xsegundo;

	//echo "fechahora: ".date("d/m/Y H:i:s");
												
		
	/** PHPExcel */
	require_once 'excel/Classes/PHPExcel.php';
	
	// Creamos nueva instancia de PHPExcel 
	$objPHPExcel = new PHPExcel();
	
	// Seleccionando la fuente a utilizar
	$objPHPExcel->getDefaultStyle()->getFont()->setName('Arial');
	$objPHPExcel->getDefaultStyle()->getFont()->setSize(10);
	
	//1.Departamento No;2.PLU No;4.PLU Tipo;11.Codigart;10.Nombre;30.Nombre2;31.Nombre3;9.Grupo No;80.Etiqueta No;81.Etiqueta Aux No;55.Origen No;5.Peso Unit;100.Pesofijo;3.refijo;14.Piezas;15.Cant unit No;26.Usar tipo precio prefijo;6.Precio;91.PrecioEspecial;8.Iva No;13.Tara;12.Tara No;24.%Tara;23.% limite tara;85.Barcode ID;86.Barcode ID2;20.FechaPreparacion;18.Fecha Empaque;19.Tiempo Empaque;16.Fecha de venta;17.Hora de venta;22.Fecha de Elab;25.Ingrediente No;35.Traceability No;50.Bonos;70.Infonutric No;90.Sales Msg No;71.Referencia Dept;69.Referencia PLU;64.Dept Unido;68.PLU Unido;60.# de PLU ligado;61.Ligado Dept1;65.Ligado PLU1;62.Ligado Dept2;66.Ligado PLU2;99.Direct Ingredient;101.PLU Picture;102.Use Barcode
	
	// Escribiendo los datos 
	$objPHPExcel->getActiveSheet()->setCellValue('A1','1.Departamento No');	
	$objPHPExcel->getActiveSheet()->setCellValue('B1','2.PLU No');	
	$objPHPExcel->getActiveSheet()->setCellValue('C1','4.PLU Tipo');	
	$objPHPExcel->getActiveSheet()->setCellValue('D1','11.Codigart');	
	$objPHPExcel->getActiveSheet()->setCellValue('E1','10.Nombre');	
	$objPHPExcel->getActiveSheet()->setCellValue('F1','30.Nombre2');	
	$objPHPExcel->getActiveSheet()->setCellValue('G1','31.Nombre3');	
	$objPHPExcel->getActiveSheet()->setCellValue('H1','9.Grupo No');	
	$objPHPExcel->getActiveSheet()->setCellValue('I1','80.Etiqueta No');	
	$objPHPExcel->getActiveSheet()->setCellValue('J1','81.Etiqueta Aux No');	
	$objPHPExcel->getActiveSheet()->setCellValue('K1','55.Origen No');	
	$objPHPExcel->getActiveSheet()->setCellValue('L1','5.Peso Unit');	
	$objPHPExcel->getActiveSheet()->setCellValue('M1','100.Pesofijo');	
	$objPHPExcel->getActiveSheet()->setCellValue('N1','3.refijo');	
	$objPHPExcel->getActiveSheet()->setCellValue('O1','14.Piezas');	
	$objPHPExcel->getActiveSheet()->setCellValue('P1','15.Cant unit No');	
	$objPHPExcel->getActiveSheet()->setCellValue('Q1','26.Usar tipo precio prefijo');	
	$objPHPExcel->getActiveSheet()->setCellValue('R1','6.Precio');	
	$objPHPExcel->getActiveSheet()->setCellValue('S1','91.PrecioEspecial');	
	$objPHPExcel->getActiveSheet()->setCellValue('T1','8.Iva No');	
	$objPHPExcel->getActiveSheet()->setCellValue('U1','13.Tara');	
	$objPHPExcel->getActiveSheet()->setCellValue('V1','12.Tara No');	
	$objPHPExcel->getActiveSheet()->setCellValue('W1','24.%Tara');	
	$objPHPExcel->getActiveSheet()->setCellValue('X1','23.% limite tara');	
	$objPHPExcel->getActiveSheet()->setCellValue('Y1','85.Barcode ID');	
	$objPHPExcel->getActiveSheet()->setCellValue('Z1','86.Barcode ID2');	
	$objPHPExcel->getActiveSheet()->setCellValue('AA1','20.FechaPreparacion');	
	$objPHPExcel->getActiveSheet()->setCellValue('AB1','18.Fecha Empaque');	
	$objPHPExcel->getActiveSheet()->setCellValue('AC1','19.Tiempo Empaque');	
	$objPHPExcel->getActiveSheet()->setCellValue('AD1','16.Fecha de venta');	
	$objPHPExcel->getActiveSheet()->setCellValue('AE1','17.Hora de venta');	
	$objPHPExcel->getActiveSheet()->setCellValue('AF1','22.Fecha de Elab');	
	$objPHPExcel->getActiveSheet()->setCellValue('AG1','25.Ingrediente No');	
	$objPHPExcel->getActiveSheet()->setCellValue('AH1','35.Traceability No');			
	$objPHPExcel->getActiveSheet()->setCellValue('AI1','50.Bonos');	
	$objPHPExcel->getActiveSheet()->setCellValue('AJ1','70.Infonutric No');	
	$objPHPExcel->getActiveSheet()->setCellValue('AK1','90.Sales Msg No');	
	$objPHPExcel->getActiveSheet()->setCellValue('AL1','71.Referencia Dept');	
	$objPHPExcel->getActiveSheet()->setCellValue('AM1','69.Referencia PLU');	
	$objPHPExcel->getActiveSheet()->setCellValue('AN1','64.Dept Unido');	
	$objPHPExcel->getActiveSheet()->setCellValue('AO1','68.PLU Unido');	
	$objPHPExcel->getActiveSheet()->setCellValue('AP1','60.# de PLU ligado');	
	$objPHPExcel->getActiveSheet()->setCellValue('AQ1','61.Ligado Dept1');	
	$objPHPExcel->getActiveSheet()->setCellValue('AR1','65.Ligado PLU1');	
	$objPHPExcel->getActiveSheet()->setCellValue('AS1','62.Ligado Dept2');	
	$objPHPExcel->getActiveSheet()->setCellValue('AT1','66.Ligado PLU2');	
	$objPHPExcel->getActiveSheet()->setCellValue('AU1','99.Direct Ingredient');	
	$objPHPExcel->getActiveSheet()->setCellValue('AV1','101.PLU Picture');	
	$objPHPExcel->getActiveSheet()->setCellValue('AW1','102.Use Barcode');					
	
				
	$nfila = 1;
	$n = 0;
	
	$r_productos = mysqli_query($conexion,"SELECT * FROM productos p
												INNER JOIN precios prc ON prc.prd_codi_fk = p.prd_codi
												WHERE p.prd_unidad_minima = 3
												AND prc.prctip_codi_fk = 2
												AND prc.prc_estado = 1
												AND p.prd_estado = 1
												ORDER BY prd_nombre;");
	while($row_productos = mysqli_fetch_array($r_productos)){
		$nfila = $nfila + 1;
		
		$n = $n + 1;
		echo "<br>";
		
		$xprd_codigo = $row_productos['prd_codigo'];
		$xprd_nombre = $row_productos['prd_nombre'];
		$xprc_precio =  number_format($row_productos['prc_precio'],2,'','') ;	
		$xprc_precio =  (string)$xprc_precio;
		//echo $xprd_nombre;

		$objPHPExcel->getActiveSheet()->setCellValue('A'.$nfila,24);
		$objPHPExcel->getActiveSheet()->setCellValue('B'.$nfila,$xprd_codigo);
		$objPHPExcel->getActiveSheet()->setCellValue('C'.$nfila,1);		
		$objPHPExcel->getActiveSheet()->setCellValue('D'.$nfila,$xprd_codigo);
		$objPHPExcel->getActiveSheet()->setCellValue('E'.$nfila,$xprd_nombre);
		$objPHPExcel->getActiveSheet()->setCellValue('I'.$nfila,60);
		$objPHPExcel->getActiveSheet()->setCellValue('R'.$nfila,$xprc_precio);
		
		//echo "PUNTO 2: ".$xprd_nombre;
		//echo "<br>";
	
	}	
			
									

	// Nombramos la hoja 
	$objPHPExcel->getActiveSheet()->setTitle('PRODUCTOS_BALANZA');
	
	// Activamos para que al abrir el excel nos muestre la primer hoja
	$objPHPExcel->setActiveSheetIndex(0);
	
	// Guardamos el archivo, en este caso lo guarda con el mismo nombre del php
	$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
	//$objWriter->save(str_replace('.php', '.xlsx', __FILE__));
	
	//$xnombre_archivo = 'excel_archivos/reporte_pedidos_consultas'.time().'.xlsx';
	//$xnombre_archivo = 'excel_archivos/productos_balanza_'.time().'.xls';
	$xnombre_archivo = 'excel_archivos/PRODUCTOS_BALANZA_'.$xfechahora.'.xls';
	
	
	$objWriter->save($xnombre_archivo);
	

?>

<script language="javascript">
document.getElementById('d_preocesando').innerHTML="<img src='images/completado.png' width='50' height='50'> <div style='margin-top:10px;'>PROCESO COMPLETADO.</div>";
</script>
  
<script language="javascript">
//function abrir_excel(archivo){
	
	//document.getElementById('d_preocesando').innerHTML="<img src='images/completado.png' width='50' height='50'> <div style='margin-top:10px;'>PROCESO COMPLETADO.</div>";
	location.href = "<?php echo $xnombre_archivo ?>";
	
//}
</script>
  
  

